For the complete documentation index, see llms.txt. This page is also available as Markdown.

ExternalAccount

Perform various operations on external account records.

Symitar eDocs References: Coming soon.

Operations

getExternalAccountSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
ExternalAccountLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/getExternalAccountSelectFields
POST /nexum/627/persistent/account/getExternalAccountSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 253

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013454",
  "ExternalAccountLocator": 281,
  "SelectableFields": {
    "IncludeAllExternalAccountFields": true
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "ExternalAccount": {
    "Locator": 281,
    "RecordChangeDate": "2010-05-08"
  },
  "MessageId": "getExternalAccountSelectFields"
}

getExternalAccountPagedListSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getExternalAccountPagedListSelectFields
POST /nexum/627/persistent/account/getExternalAccountPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 455

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013454",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllExternalAccountFields": false,
    "ExternalAccountFields": {
      "Locator": true,
      "AcctType": true,
      "Number": true,
      "Rt": true,
      "FinancialInstitutionName": true,
      "Status": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "ExternalAccount": [],
  "Token": null,
  "MessageId": "getExternalAccountPagedListSelectFields"
}

searchExternalAccountPagedSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchExternalAccountPagedSelectFields
POST /nexum/627/persistent/account/searchExternalAccountPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 475

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013454",
  "Query": "LOCATOR=0",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllExternalAccountFields": false,
    "ExternalAccountFields": {
      "Locator": true,
      "AcctType": true,
      "Number": true,
      "Rt": true,
      "FinancialInstitutionName": true,
      "Status": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "ExternalAccount": [],
  "Token": null,
  "MessageId": "searchExternalAccountPagedSelectFields"
}

updateExternalAccountByID

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
ExternalAccountLocatorintegerOptional
Responses
200

Successful operation.

post/updateExternalAccountByID
POST /nexum/627/persistent/account/updateExternalAccountByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 377

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "ExternalAccountLocator": 281,
  "ExternalAccountFields": {
    "AcctType": 1,
    "Number": "99900001",
    "Rt": "111000025",
    "FinancialInstitutionName": "NEXUM TEST BANK UPDATED",
    "PrimaryAccountHolderName": "NEXUM WAVEFOUR",
    "Status": 0
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": null,
    "Version_1": null,
    "_value_1": null
  },
  "MessageId": "updateExternalAccountByID"
}

createExternalAccount

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
Responses
200

Successful operation.

post/createExternalAccount
POST /nexum/627/persistent/account/createExternalAccount HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 340

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "ExternalAccountFields": {
    "AcctType": 1,
    "Number": "99900001",
    "Rt": "111000025",
    "FinancialInstitutionName": "NEXUM TEST BANK",
    "PrimaryAccountHolderName": "NEXUM WAVEFOUR",
    "Status": 0
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "ExternalAccountLocator": 281,
  "MessageId": "createExternalAccount"
}

deleteExternalAccount

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
ExternalAccountLocatorintegerOptional
Responses
200

Successful operation.

post/deleteExternalAccount
POST /nexum/627/persistent/account/deleteExternalAccount HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 193

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "ExternalAccountLocator": 281,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "MessageId": "deleteExternalAccount"
}

Last updated

Was this helpful?